<?php
/**
 * 接入节点_基于UniAPP开发的APP，涉及到的一些专用信息（如设备信息获取等）
 * @作者 phpok.com <admin@phpok.com>
 * @主页 www.phpok.com
 * @版本 5.x
 * @许可 www.phpok.com/lgpl.html PHPOK开源授权协议：GNU Lesser General Public License
 * @时间 2022年01月17日 11时57分
**/
namespace phpok\app\uniapp;
/**
 * 安全限制，防止直接访问
**/
if(!defined("PHPOK_SET")){
	exit("<h1>Access Denied</h1>");
}
class nodes_phpok extends \_init_auto
{
	public function __construct()
	{
		parent::__construct();
	}

	public function admin_before()
	{
		//公共管理后台数据未执行前操作
	}

	public function admin_after()
	{
		//公共管理后台数据执行后未输出前
	}

	public function api_before()
	{
		$api_code = '';
		$id = $this->get("_safeid");
		if($id){
			$cache_id = $this->cache->id($id);
			$api_code = $this->lib('file')->cat($this->dir_data.'uniapp/'.$cache_id.'.php');
		}
		if($api_code){
			$this->config("api_code",$api_code,"site");
		}
	}

	public function api_site_index_after($info)
	{
		//
	}

	public function PHPOK_arclist()
	{
		//这里开始编写PHP代码
	}

	public function PHPOK_arc()
	{
		//这里开始编写PHP代码
	}

	public function PHPOK_project()
	{
		//这里开始编写PHP代码
	}

	public function PHPOK_catelist()
	{
		//这里开始编写PHP代码
	}

	public function PHPOK_cate()
	{
		//这里开始编写PHP代码
	}

	/**
	 * 删除主题时触发删除这个应用事件
	 * @参数 $id 主题ID
	 * @返回 true 
	**/
	public function system_admin_title_delete($id)
	{
		return true;
	}

	/**
	 * 更新或添加保存完主题后触发动作
	 * @参数 $id 主题ID
	 * @参数 $project 项目信息，数组
	 * @返回 true 
	**/
	public function system_admin_title_success($id,$project)
	{
		return true;
	}

	/**
	 * 初始化站点信息接口，无参数，需要通过data来获取信息
	**/
	public function system_init_site()
	{
		return true;
	}
}
